{% if dates %}{% spaceless %}
<ul class="blog-archive-list">
    <li><h4>Archives</h4></li>
    {% for date in dates %}
    {% url 'blog-month-archive' date|date:"Y" date|date:"M" as url %}
    <li><a href="{{url}}" rel="{{date.month}}_{{date.year}}">{{date|date:"F Y"}}</a></li>
    {% endfor %}
</ul>
{% endspaceless %}{% endif %}

